[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.AutoSelect

Selects the entire content of the edit box when the control receives the focus.

## Declaration

Source position: stdctrls.pp line 427

`public property TCustomComboBox.AutoSelect : Boolean read FAutoSelect write FAutoSelect default True;`

## Description

When True, the edit control will select all its text when:

- It receives focus
- The Enter key is pressed.
- A new item is selected.

## See also

TCustomComboBox.AutoSelected |  | True indicates that the selection was marked automatically by the control.